<?php

// Generic verbose error reporting stuff
$isCli = PHP_SAPI === 'cli' || PHP_SAPI === 'phpdbg';
error_reporting( -1 );
ini_set( 'display_startup_errors', 1 );
ini_set( 'display_errors', $isCli ? 'stderr' : 1 );
$wgShowSQLErrors = true;
$wgDebugDumpSql  = true;
$wgShowDBErrorBacktrace = true;
$wgShowExceptionDetails = true;
$wgDebugComments = true;

// Usually generated by the installer, but only since 1.27
$wgResourceBasePath = $wgScriptPath;

$wgCookiePath = '/';

// Short URLs
$wgArticlePath = "/wiki/$1";

// Disable ResourceLoader's localStorage cache as this will
// fill up quickly when domains host multiple wikis (#35)
$wgResourceLoaderStorageEnabled = false;

// Set the name of the project namespace to "Project:", rather than
// "Patch Demo (123456,7):"
$wgMetaNamespace = 'Project';

// Use "Publish" buttons instead of "Save"
$wgEditSubmitButtonLabelPublish = true;

// Special:Upload (also UploadWizard)
$wgEnableUploads = true;

// Allow user JS & CSS
$wgAllowUserJs = true;
$wgAllowUserCss = true;

// Logo
$wgLogos = [
	'svg' => "$wgResourceBasePath/logo.svg",
	'icon' => "$wgResourceBasePath/icon.svg",
	'wordmark' => [
		'src' => "$wgResourceBasePath/wordmark.svg",
		'width' => 138,
		'height' => 18,
	]
];
$wgFavicon = "$wgResourceBasePath/favicon.ico";
// Legacy logo setting for older releases
$wgLogo = "$wgResourceBasePath/logo.svg";
// Add a button for a convenient link back to the wiki management interface
$wgFooterIcons['patchdemo']['patchdemo'] = [
	'src' => "$wgResourceBasePath/poweredby.svg",
	'url' => "https://patchdemo.wmcloud.org/",
	'alt' => 'This is a Patch demo wiki',
];

// Email settings
$wgAllowHTMLEmail = true;

// Production uses HTML5 section IDs
$wgFragmentMode = [ 'html5', 'legacy' ];

// Choose a sensible timezone
$wgLocaltimezone = 'UTC';

// Enable watchlist expiry feature
$wgWatchlistExpiry = true;

// Run jobs very eagerly during web requests,
// so that I don't have to figure out job runners
$wgJobRunRate = 100;
$wgRunJobsAsync = true;

// Disable localisation cache, takes up too much disk space (#554)
$wgLocalisationCacheConf['storeClass'] = 'LCStoreNull';
